Bug 45155 - pcmcia script loads scsi cdrom as primary cdrom
pcmcia script loads scsi cdrom as primary cdrom
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-06-20 12:08 EDT by Brian Armstrong
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 02:29:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Armstrong 2001-06-20 12:08:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
System cannot access or hangs when attempting to mount scsi cdrom
(/dev/scd0) on a laptop already having a primary (/dev/hdc) cdrom.
Installation program installed scsi cdrom (pcmcia) as the primary cdrom
(/mnt/cdrom) and the primary cdrom (/dev/hdc) as the secondary cdrom
(/mnt/cdrom1). The sr_mod fails to load after installation and is not found
in any scripts pertaining to the scsi pcmcia, init.d, or modules.conf.  The
scsi.opts must be modified (change /dev/cdrom to /dev/scd0 and /mnt/cdrom
to /mnt/cdrom2) and the sr_mod must be loaded manually after rebooting the
system to enable scsi cdrom to co-exist with the primary cdrom.

How reproducible:

Steps to Reproduce:
1. Install Red Hat 7.1 on a laptop with a scsi adapter pcmcia card and scsi
cdrom writer attached.

Additional info:

Attempts to include post-install loading of sr_mod in the modules.conf file
resulted in a conflict with the parallel port zip drive scsi ppa driver. 
Only modprobe sr_mod works after system start up to mount the scsi
cdrom-writer throught the pcmcia card.
Comment 1 Dave Jones 2004-10-25 21:35:03 EDT
going through old unclosed bugs..
is this still a problem with Fedora or RHEL ?

Note You need to log in before you can comment on or make changes to this bug.